'''
    This file is part of Full Skincolor Mod.

    Full Skincolor Mod is free software: you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation, either version 3 of the License, or
    (at your option) any later version.

    Full Skincolor Mod is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with Full Skincolor Mod.  If not, see <http://www.gnu.org/licenses/>.
'''

import os,pickle,tempfile,shutil

head_color = ((244,51,255), '#F433FF')
body_color = ((0, 255, 0), 'lime')
weapon_color = ((255, 0, 0), 'red')
armour_color = ((255, 255, 0),'yellow')

ico="fsm.ico"
tmpfldr = tempfile.mkdtemp()
iconfile = os.path.join(tmpfldr,ico)
noiseSlider = os.path.join(tmpfldr,"Elevator1.wav")
noiseOk = os.path.join(tmpfldr,"Cls.wav")

file_list=[]

#name of pakfile FSM
pakname = "Full-Skin-Sound-Mod.pak"

#extract zip files to, -new method- Extract zips to tmpfldr

rootdir = os.path.join(tmpfldr,"fsm")

#folder where modified files are saved
ghouldir = os.path.join(tmpfldr,"fsm","ghoul")
sounddir = os.path.join(tmpfldr,"fsm","sound")

#data files that where packed into the exe
beep = os.path.join(tmpfldr,'stone1.wav')
beep_edited = os.path.join(tmpfldr,'lol.wav')
baseimgsdir = os.path.join(tmpfldr,"baseimgs")
dict_body = os.path.join(tmpfldr, "body.dict")
dict_head = os.path.join(tmpfldr, "head.dict")
dict_weapon = os.path.join(tmpfldr, "weapon.dict")
dict_armour = os.path.join(tmpfldr, "armour.dict")

#image masks
bmask = os.path.join(tmpfldr,"maskb.png")
wmask = os.path.join(tmpfldr,"maskw.png")
amask = os.path.join(tmpfldr,"maska.png")
hmask = os.path.join(tmpfldr,"maskh.png")
#orig
origmullins = os.path.join(tmpfldr,"mullins.png")
#tinted masks with white to alpha
bout = os.path.join(tmpfldr,"mullinsb.png")
hout = os.path.join(tmpfldr,"mullinsh.png")
wout = os.path.join(tmpfldr,"mullinsw.png")
aout = os.path.join(tmpfldr,"mullinsa.png")

#final image to display
finalimg = os.path.join(tmpfldr,"finalimg.png")

#store old opacity values so image is made only when values are changed
ahead_old = 0
abody_old = 0
aweapon_old = 0
aarmour_old = 0
head_color_old = ((244,51,255), '#F433FF')
body_color_old = ((0, 255, 0), 'lime')
weapon_color_old = ((255, 0, 0), 'red')
armour_color_old = ((255, 255, 0),'yellow')


