'''
    This file is part of Full Skincolor Mod.

    Full Skincolor Mod is free software: you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation, either version 3 of the License, or
    (at your option) any later version.

    Full Skincolor Mod is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with Full Skincolor Mod.  If not, see <http://www.gnu.org/licenses/>.
'''

import os
import winsound
from pydub import AudioSegment
from globe import *
def play(sound):
    winsound.PlaySound(sound, winsound.SND_ASYNC)

def create_sounds(db):
    #all files inside rootdir are reduced in volume
    global sounddir
    for folder, subs, files in os.walk(sounddir):
        for filename in files:
            pathname = os.path.join(folder, filename)
            song = AudioSegment.from_wav(pathname)
            song = song - db
            song.export(pathname, "wav")


def preview_sound(db):
    global beep
    song = AudioSegment.from_wav(beep)
    #0db = play song that is -16 db quiter
    #16db = play song unedited
    dbdict = {0:16,2:14,4:12,6:10,8:8,10:6,12:4,14:2,16:0}
    test = dbdict[db]
    song = song - test
    song.export(beep_edited, "wav")
    play(beep_edited)
